Subject: bug#20017: guile 2.0.11 make check failure for ppc architecture

From: Rob Browning <[email-masked]>
Date: Tue, 25 Apr 2017 22:06:35 -0500

Rob Browning <[email-masked]> writes:

> We're seeing the same thing on a Debian powerpc buildd
> https://buildd.debian.org/status/fetch.php?pkg=guile-2.0&arch=powerpc&ver=2.0.11%2B1-9%2Bdeb8u1&stamp=1485708200&raw=0
>
>   FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
>   FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))

OK, I can reproduce this on partch.debian.org now
(https://db.debian.org/machines.cgi?host=partch):

  (jessie_powerpc-dchroot)rlb@partch:~/guile-2.0-2.0.11+1$ ./check-guile fractions.test
  Testing /home/rlb/guile-2.0-2.0.11+1/meta/guile ... fractions.test
  with GUILE_LOAD_PATH=/home/rlb/guile-2.0-2.0.11+1/test-suite
  Running fractions.test
  FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
  FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))

and poking around I see:

  (jessie_powerpc-dchroot)rlb@partch:~/guile-2.0-2.0.11+1$ meta/guile
  GNU Guile 2.0.11
  Copyright (C) 1995-2014 Free Software Foundation, Inc.

  Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
  This program is free software, and you are welcome to redistribute it
  under certain conditions; type `,show c' for details.

  Enter `,help' for help.
  scheme@(guile-user)> (expt 2 1/2)
  $1 = 1.4142135623730951
  scheme@(guile-user)> (expt 2.0 1/2)
  $2 = 1.4142135623730951
  scheme@(guile-user)> (sqrt 2)
  $3 = 1.414213562373095

Please let me know if I can help.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4